Bug 961580 - [RFE] Allow group members full access to group jobs
[RFE] Allow group members full access to group jobs
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.12
Unspecified Unspecified
urgent Severity unspecified (vote)
: 0.13
: ---
Assigned To: Raymond Mancy
Xin Zhang
: FutureFeature
Depends On:
Blocks: 864039
  Show dependency treegraph
 
Reported: 2013-05-09 22:13 EDT by Nick Coghlan
Modified: 2018-02-05 19:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 02:26:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-05-09 22:13:53 EDT
For jobs submitted on behalf of a group, all members of that group should have the same level of access as the job owner.
Comment 1 Raymond Mancy 2013-05-23 00:22:53 EDT
http://gerrit.beaker-project.org/#/c/1962/
Comment 5 Xin Zhang 2013-06-03 01:18:50 EDT
Verified. Submit a group job and another user in the group can edit the Whiteboard/Retention Tag/Product of the job, and can cancel/delete the job as the job owner.

version:beaker-server-0.12.1-1.git.177.5d4e6bf.el6.noarch,beaker-server-redhat-0.1.14-1.el6eng.noarch
Comment 7 Amit Saha 2013-06-25 02:26:18 EDT
Beaker 0.13.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.